import { Type } from '@angular/core';
export interface WrapperComponent<T> {
    inputs: Partial<T>;
    styles: {
        [klass: string]: any;
    };
}
interface DynamicWrapper<T> {
    type: Type<WrapperComponent<T>>;
    inputProperties: Array<keyof T>;
}
export declare function createDynamicWrapper<T>(componentType: Type<T>, unboundInputs: Array<keyof T>): DynamicWrapper<T>;
export {};
